"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const LootTable_1 = __importDefault(require("../../../../structures/LootTable"));
const SimpleMonster_1 = __importDefault(require("../../../../structures/SimpleMonster"));
const HellhoundTable = new LootTable_1.default()
    .every('Vile ashes')
    .oneIn(32768, 'Smouldering stone')
    .tertiary(64, 'Clue scroll (hard)');
exports.default = new SimpleMonster_1.default({
    id: 104,
    name: 'Hellhound',
    table: HellhoundTable,
    aliases: ['hellhound', 'hellh']
});
//# sourceMappingURL=Hellhound.js.map