"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const LootTable_1 = __importDefault(require("../../../../structures/LootTable"));
const SimpleMonster_1 = __importDefault(require("../../../../structures/SimpleMonster"));
const UncommonSeedDropTable_1 = __importDefault(require("../../../subtables/UncommonSeedDropTable"));
const OgreTable = new LootTable_1.default({ limit: 128 })
    .every('Big bones')
    /* Seeds */
    .add(UncommonSeedDropTable_1.default, 1, 19)
    /* Tertiary, Averaged mossy key */
    .tertiary(30, 'Ensouled ogre head')
    .tertiary(400, 'Long bone')
    .tertiary(5013, 'Curved bone');
exports.default = new SimpleMonster_1.default({
    id: 136,
    name: 'Ogre',
    table: OgreTable,
    aliases: ['ogre']
});
//# sourceMappingURL=Ogre.js.map