"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const LootTable_1 = __importDefault(require("../../structures/LootTable"));
const SimpleOpenable_1 = __importDefault(require("../../structures/SimpleOpenable"));
const MuddyChestTable = new LootTable_1.default()
    .every('Uncut ruby')
    .every('Mithril bar')
    .every('Mithril dagger')
    .every('Anchovy pizza')
    .every('Law rune', 2)
    .every('Death rune', 2)
    .every('Chaos rune', 10);
exports.default = new SimpleOpenable_1.default({
    id: 991,
    name: 'Muddy chest',
    aliases: ['muddy chest', 'muddy'],
    table: MuddyChestTable
});
//# sourceMappingURL=MuddyChest.js.map