"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const LootTable_1 = __importDefault(require("../../structures/LootTable"));
const SimpleOpenable_1 = __importDefault(require("../../structures/SimpleOpenable"));
const OreTable = new LootTable_1.default()
    .add('Coal', 1, 181)
    .add('Iron ore', 1, 25)
    .add('Mithril ore', 1, 17)
    .add('Adamantite ore', 1, 3)
    .add('Runite ore', 1, 1);
const OrePackTable = new LootTable_1.default().every(OreTable, 30);
exports.default = new SimpleOpenable_1.default({
    id: 27019,
    name: 'Ore pack',
    aliases: ['ore pack'],
    table: OrePackTable
});
//# sourceMappingURL=OrePack.js.map