"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../constants");
class OldSchoolJSError extends Error {
    constructor(code) {
        super(code);
        Object.defineProperty(this, "code", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "description", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: ''
        });
        this.name = this.constructor.name;
        this.code = code;
        this.message = constants_1.ErrorDescriptions[code];
        if (Error.captureStackTrace)
            Error.captureStackTrace(this, this.constructor);
    }
}
exports.default = OldSchoolJSError;
//# sourceMappingURL=OldSchoolJSError.js.map