import { ItemBank } from '../../meta/types';
export interface TeamMember {
    id: string;
    /**
     * How well they performed as a percentage. 100% would indicate they did quite well, but not necessarily MVP or a solo kill.
     */
    performancePercentage: number;
    isMVP: boolean;
}
export interface ZalcanoOptions {
    /**
     * The members of the team killing the Zalcano.
     */
    team: TeamMember[];
}
declare class ZalcanoClass {
    allItems: number[];
    rollNonUniqueLoot(perfPercent: number, isMVP: boolean): [number, number];
    kill({ team }: Readonly<ZalcanoOptions>): {
        [key: string]: ItemBank;
    };
}
declare const Zalcano: ZalcanoClass;
export default Zalcano;
//# sourceMappingURL=Zalcano.d.ts.map