"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReanimatedMonsters = void 0;
const LootTable_1 = __importDefault(require("../../../structures/LootTable"));
const SimpleMonster_1 = __importDefault(require("../../../structures/SimpleMonster"));
const ReanimatedGoblin = new SimpleMonster_1.default({
    id: 7018,
    name: 'Reanimated Goblin',
    table: new LootTable_1.default(),
    aliases: ['reanimated goblin']
});
const ReanimatedMonkey = new SimpleMonster_1.default({
    id: 7019,
    name: 'Reanimated Monkey',
    table: new LootTable_1.default(),
    aliases: ['reanimated monkey']
});
const ReanimatedImp = new SimpleMonster_1.default({
    id: 7020,
    name: 'Reanimated Imp',
    table: new LootTable_1.default(),
    aliases: ['reanimated imp']
});
const ReanimatedMinotaur = new SimpleMonster_1.default({
    id: 7021,
    name: 'Reanimated Minotaur',
    table: new LootTable_1.default(),
    aliases: ['reanimated minotaur']
});
const ReanimatedScorpion = new SimpleMonster_1.default({
    id: 7022,
    name: 'Reanimated Scorpion',
    table: new LootTable_1.default(),
    aliases: ['reanimated scorpion']
});
const ReanimatedBear = new SimpleMonster_1.default({
    id: 7023,
    name: 'Reanimated Bear',
    table: new LootTable_1.default(),
    aliases: ['reanimated bear']
});
const ReanimatedUnicorn = new SimpleMonster_1.default({
    id: 7024,
    name: 'Reanimated Unicorn',
    table: new LootTable_1.default(),
    aliases: ['reanimated unicorn']
});
const ReanimatedDog = new SimpleMonster_1.default({
    id: 7025,
    name: 'Reanimated Dog',
    table: new LootTable_1.default(),
    aliases: ['reanimated dog']
});
const ReanimatedChaosDruid = new SimpleMonster_1.default({
    id: 7026,
    name: 'Reanimated Chaos Druid',
    table: new LootTable_1.default(),
    aliases: ['reanimated chaos druid']
});
const ReanimatedGiant = new SimpleMonster_1.default({
    id: 7027,
    name: 'Reanimated Giant',
    table: new LootTable_1.default(),
    aliases: ['reanimated giant']
});
const ReanimatedOgre = new SimpleMonster_1.default({
    id: 7028,
    name: 'Reanimated Ogre',
    table: new LootTable_1.default(),
    aliases: ['reanimated ogre']
});
const ReanimatedElf = new SimpleMonster_1.default({
    id: 7029,
    name: 'Reanimated Elf',
    table: new LootTable_1.default(),
    aliases: ['reanimated elf']
});
const ReanimatedTroll = new SimpleMonster_1.default({
    id: 7030,
    name: 'Reanimated Troll',
    table: new LootTable_1.default(),
    aliases: ['reanimated troll']
});
const ReanimatedHorror = new SimpleMonster_1.default({
    id: 7031,
    name: 'Reanimated Horror',
    table: new LootTable_1.default(),
    aliases: ['reanimated horror']
});
const ReanimatedKalphite = new SimpleMonster_1.default({
    id: 7032,
    name: 'Reanimated Kalphite',
    table: new LootTable_1.default(),
    aliases: ['reanimated kalphite']
});
const ReanimatedDagannoth = new SimpleMonster_1.default({
    id: 7033,
    name: 'Reanimated Dagannoth',
    table: new LootTable_1.default(),
    aliases: ['reanimated dagannoth']
});
const ReanimatedBloodveld = new SimpleMonster_1.default({
    id: 7034,
    name: 'Reanimated Bloodveld',
    table: new LootTable_1.default(),
    aliases: ['reanimated bloodveld']
});
const ReanimatedTzhaar = new SimpleMonster_1.default({
    id: 7035,
    name: 'Reanimated Tzhaar',
    table: new LootTable_1.default(),
    aliases: ['reanimated tzhaar']
});
const ReanimatedDemon = new SimpleMonster_1.default({
    id: 7036,
    name: 'Reanimated Demon',
    table: new LootTable_1.default(),
    aliases: ['reanimated demon']
});
const ReanimatedHellhound = new SimpleMonster_1.default({
    id: 11463,
    name: 'Reanimated Hellhound',
    table: new LootTable_1.default(),
    aliases: ['reanimated hellhound']
});
const ReanimatedAviansie = new SimpleMonster_1.default({
    id: 7037,
    name: 'Reanimated Aviansie',
    table: new LootTable_1.default(),
    aliases: ['reanimated aviansie']
});
const ReanimatedAbyssal = new SimpleMonster_1.default({
    id: 7038,
    name: 'Reanimated Abyssal',
    table: new LootTable_1.default(),
    aliases: ['reanimated abyssal']
});
const ReanimatedDragon = new SimpleMonster_1.default({
    id: 7039,
    name: 'Reanimated Dragon',
    table: new LootTable_1.default(),
    aliases: ['reanimated dragon']
});
exports.ReanimatedMonsters = {
    ReanimatedGoblin,
    ReanimatedMonkey,
    ReanimatedImp,
    ReanimatedMinotaur,
    ReanimatedScorpion,
    ReanimatedBear,
    ReanimatedUnicorn,
    ReanimatedDog,
    ReanimatedChaosDruid,
    ReanimatedGiant,
    ReanimatedOgre,
    ReanimatedElf,
    ReanimatedTroll,
    ReanimatedHorror,
    ReanimatedKalphite,
    ReanimatedDagannoth,
    ReanimatedBloodveld,
    ReanimatedTzhaar,
    ReanimatedDemon,
    ReanimatedHellhound,
    ReanimatedAviansie,
    ReanimatedAbyssal,
    ReanimatedDragon
};
//# sourceMappingURL=reanimated.js.map