import Collection from '../../structures/Collection';
import Openable from '../../structures/Openable';
declare class OpenablesCollection extends Collection<number, Openable> {
    constructor(entries: [number, Openable][]);
}
declare const Openables: OpenablesCollection & {
    MysteryBox: import("../../structures/SimpleOpenable").default;
    NestBoxEmpty: import("../../structures/SimpleOpenable").default;
    NestBoxRing: import("../../structures/SimpleOpenable").default;
    NestBoxSeeds: import("../../structures/SimpleOpenable").default;
    GiantEggSacFull: import("../../structures/SimpleOpenable").default;
    BronzeHAMChest: import("../../structures/SimpleOpenable").default;
    IronHAMChest: import("../../structures/SimpleOpenable").default;
    SilverHAMChest: import("../../structures/SimpleOpenable").default;
    SteelHAMChest: import("../../structures/SimpleOpenable").default;
    Casket: import("../../structures/SimpleOpenable").default;
    CrystalChest: import("../../structures/SimpleOpenable").default;
    ElvenCrystalChest: import("../../structures/SimpleOpenable").default;
    GrubbyChest: import("../../structures/SimpleOpenable").default;
    MuddyChest: import("../../structures/SimpleOpenable").default;
    OgreCoffin: import("../../structures/SimpleOpenable").default;
    SinisterChest: import("../../structures/SimpleOpenable").default;
    BrimstoneChest: import("./BrimstoneChest").BrimstoneChestOpenable;
    LarransChest: import("./LarransChest").LarransChestOpenable;
    SeedPack: import("./SeedPack").SeedPackOpenable;
    BabyImpling: import("../../structures/SimpleOpenable").default;
    YoungImpling: import("../../structures/SimpleOpenable").default;
    GourmetImpling: import("../../structures/SimpleOpenable").default;
    EarthImpling: import("../../structures/SimpleOpenable").default;
    EssenceImpling: import("../../structures/SimpleOpenable").default;
    EclecticImpling: import("../../structures/SimpleOpenable").default;
    NatureImpling: import("../../structures/SimpleOpenable").default;
    MagpieImpling: import("../../structures/SimpleOpenable").default;
    NinjaImpling: import("../../structures/SimpleOpenable").default;
    CrystalImpling: import("../../structures/SimpleOpenable").default;
    DragonImpling: import("../../structures/SimpleOpenable").default;
    LuckyImpling: import("../../structures/SimpleOpenable").default;
    OrePack: import("../../structures/SimpleOpenable").default;
    IntricatePouch: import("../../structures/SimpleOpenable").default;
};
export default Openables;
//# sourceMappingURL=index.d.ts.map