import { MonsterData } from '../meta/monsterData';
import { MonsterKillOptions, MonsterOptions } from '../meta/types';
import Bank from './Bank';
export default abstract class Monster {
    id: number;
    name: string;
    aliases: string[];
    data: MonsterData;
    allItems: number[];
    abstract kill(quantity: number, options: MonsterKillOptions): Bank;
    constructor(options: MonsterOptions);
}
//# sourceMappingURL=Monster.d.ts.map