"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const monsters_data_json_1 = __importDefault(require("../data/monsters_data.json"));
const monsterData = monsters_data_json_1.default;
class Monster {
    constructor(options) {
        var _a, _b;
        Object.defineProperty(this, "id", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "aliases", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "data", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "allItems", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.id = options.id;
        this.name = options.name;
        this.aliases = (_a = options.aliases) !== null && _a !== void 0 ? _a : [];
        this.data = monsterData[this.id];
        this.allItems = (_b = options.allItems) !== null && _b !== void 0 ? _b : [];
        const pluralName = `${this.name.toLowerCase()}s`;
        if (!this.aliases.includes(pluralName)) {
            this.aliases.push(pluralName);
        }
    }
}
exports.default = Monster;
//# sourceMappingURL=Monster.js.map