"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * An entity from OSRS which can be opened (e.g. implings)
 */
class Openable {
    constructor(options) {
        var _a, _b;
        /**
         *  The item ID of the item which is opened.
         */
        Object.defineProperty(this, "id", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "name", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "aliases", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        Object.defineProperty(this, "allItems", {
            enumerable: true,
            configurable: true,
            writable: true,
            value: void 0
        });
        this.id = options.id;
        this.name = options.name;
        this.aliases = (_a = options.aliases) !== null && _a !== void 0 ? _a : [];
        this.allItems = (_b = options.allItems) !== null && _b !== void 0 ? _b : [];
    }
}
exports.default = Openable;
//# sourceMappingURL=Openable.js.map